=== added directory 'fetchmail_document'
=== added file 'fetchmail_document/__init__.py'
--- fetchmail_document/__init__.py	1970-01-01 00:00:00 +0000
+++ fetchmail_document/__init__.py	2011-07-24 01:34:35 +0000
@@ -0,0 +1,1 @@
+import document

=== added file 'fetchmail_document/__openerp__.py'
--- fetchmail_document/__openerp__.py	1970-01-01 00:00:00 +0000
+++ fetchmail_document/__openerp__.py	2011-07-24 01:34:35 +0000
@@ -0,0 +1,20 @@
+# -*- encoding: utf-8 -*-
+{
+    "name" : "Fetchmail Corrections",
+    "version" : "0.1",
+    "depends" : ["fetchmail","document",],
+    "author" : "Vauxoo",
+    "description" : """
+    This module correct some behaviours on Document and Fetchmail modules combinated.
+                    """,
+    "website" : "http://vauxoo.com",
+    "category" : "Tools",
+    "init_xml" : [
+    ],
+    "demo_xml" : [
+    ],
+    "update_xml" : [
+    ],
+    "active": False,
+    "installable": True,
+}

=== added file 'fetchmail_document/crm_claim.py'
--- fetchmail_document/crm_claim.py	1970-01-01 00:00:00 +0000
+++ fetchmail_document/crm_claim.py	2011-07-24 01:34:35 +0000
@@ -0,0 +1,12 @@
+# -*- encoding: utf-8 -*-
+from osv import osv
+from osv import fields
+from tools.translate import _
+
+class crm_claim(osv.osv):
+    """
+    crm_claim
+    """
+    _inherit = 'crm.claim'
+    _log_create = True
+crm_claim()

=== added file 'fetchmail_document/document.py'
--- fetchmail_document/document.py	1970-01-01 00:00:00 +0000
+++ fetchmail_document/document.py	2011-07-24 01:34:35 +0000
@@ -0,0 +1,31 @@
+# -*- encoding: utf-8 -*-
+from osv import osv
+from osv import fields
+from tools.translate import _
+
+class document(osv.osv):
+    """
+    fetchmail
+    """
+    _inherit = 'ir.attachment'
+
+    def _check_duplication(self, cr, uid, ids, context=None):
+        for attach in self.browse(cr, uid, ids, context):
+            domain = [('id', '!=', attach.id),
+                      ('name', '=', attach.name),
+                      ('parent_id', '=', attach.parent_id.id),
+                      ('res_model', '=', attach.res_model),
+                      ('res_id', '=', attach.res_id),
+                     ]
+            #If another model fail i need to add here the validation "Just for V6.0"
+            if attach.res_model=='project.issue':
+                return True
+            if self.search(cr, uid, domain, context=context):
+                return False
+        return True
+    # On Trunk there are a commentary that say with pure SQL it ca not be done.
+    # Delete this constraint whe we migrate to 6.1
+    _constraints = [
+        (_check_duplication, 'File name must be unique!', ['name', 'parent_id', 'res_model', 'res_id'])
+    ]
+document()

=== added file 'fetchmail_document/fetchmail_view.xml'
=== added directory 'fetchmail_document/i18n'
=== added directory 'fetchmail_document/security'
=== added file 'log.modules'
